---
search:
  tags:
    - Activity
    - GET
seo:
  description: >-
    Aggregate at most 100 matching commits and repository language bytes over
    an… Reference for the GET /v1/users/{username}/activity endpoint in the
    Kronik API.
sidebar:
  label: Summarize public activity
  badge: GET
title: Summarize public activity
type: openapi-operation
---
Aggregate at most 100 matching commits and repository language bytes over an inclusive activity window. The default is UTC today and the previous 29 dates.

`GET /v1/users/{username}/activity`

**Responses**

- `200` — ActivitySummary
- `400` — InvalidRequestProblem | InvalidCursorProblem
- `404` — UserNotFoundProblem | LatestCommitNotFoundProblem
- `429` — RateLimitedProblem
- `502` — UpstreamFailureProblem
- `503` — ServiceUnavailableProblem

Response example, 200:

```json
{
  "user": {
    "login": "string",
    "url": "http://example.com",
    "avatarUrl": "http://example.com"
  },
  "window": {
    "from": "string",
    "to": "string"
  },
  "coverage": {
    "complete": true,
    "matchedCommits": 0,
    "aggregatedCommits": 0
  },
  "totals": {
    "commits": 0,
    "additions": 0,
    "deletions": 0,
    "changedLines": 0
  },
  "languages": [
    {
      "name": "string",
      "color": "string",
      "bytes": 0,
      "percentage": 0
    }
  ],
  "otherBytes": 0
}
```
